OSSIM-RPCGEN(1)

NAME
ossim-rpcgen - ossim-rpcgen

SYNOPSIS
ossim-rpcgen [options] <input-file> [<output-file>]

DESCRIPTION
ossim-rpcgen takes an input image and generates a corresponding RPC geometry in a variety of formats. If a bounding box is specified, the default output filename (based on the input filename) will be appended with the bbox spec, unless an output filename is explicitly provided.

OPTIONS

--bbox <ulx> <uly> <lrx> <lry>
    Subimage rectangle in image space for constraining RPC computation over the AOI only. Note that the RPC image space UL corner will correspond to (0,0), i.e., the model will be shifted from the original full-image model.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--env
    Specify an env variable to set. Any number of these can appear with format --env VARIABLE=VALUE

--geom <format>
    Specifies format of the subimage RPC geometry file. Possible values are: "OGEOM" (OSSIM geometry, default), "DG" (DigitalGlobe WV/QB .RPB format), "JSON" (MSP-style JSON), or "XML". Case insensitive.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--tolerance <double>
    Used as an RMS error tolerance in meters between original model and RPC.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-h | --help
    Display this information